<template>
<div class="grid__header">
  <GridTitle :title="gridConfig.title" />
  <GridFilters />
  <GridSort />
  <GridActions />
</div>
</template>
<script lang="ts">
import Vue from 'vue';
import { Component, Inject } from 'vue-property-decorator';
import {
  GridTitle, GridFilters, GridSort, GridActions,
} from '.';

@Component({
  components: {
    GridTitle,
    GridFilters,
    GridSort,
    GridActions,
  },
})
export default class GridHeader extends Vue {
  @Inject('gridConfig')
  private gridConfig!: object;
}
</script>
